Deeply API Documentation main logoDeeply API Documentation main logo textDeeply API Documentation main logo text
User GuideServer API Reference
Search...
k
LanguageENKO

© 2026 Deeply Inc.

Deeply Logo Icon

Deeply API Documentation

    Release Notes

    Quick Start

    API Quick Start Guide
    Authorization
    Rate Limit

    Architecture

    Overall Architecture
    Edge Server System

    Events

    Events
    Event Categories
    List Events
    GET
    Get An Event
    GET

    Composite Events

    Composite Events
    List Composite Events
    GET
    Get A Composite Event
    GET
    Listen Live Composite Events
    WebSocket

    Live Events

    Live Events
    Listen Live Events
    WebSocket

    Edges

    Edge Server
    List Edge Servers
    GET
    Get An Edge Server
    GET
    Update Edge Server
    PATCH

    Microphones

    Mic Device
    List Mic Devices
    GET
    Get A Mic Device
    GET
    Update Mic Device
    PATCH

    Auth

    Reissue Token
    GET
    1. Reference
    2. Mic Device
    3. List Mic Devices

    List Mic Devices

    Get all registered mic devices

    Last updated: November 11, 2026

    GET
    /api/v1/mics

    Description

    API to retrieve a list of registered microphone devices. The result is paginated based on the provided query parameters. Refer to the Mic Device Object for more details.

    Each microphone has its own threshold values. Refer to Event Categories for more details.

    Authentication

    Access Token is required via Bearer token authentication. Refer to the Authentication section for more details.

    Query Parameters

    page
    Optional
    integer || 1
    Page number for pagination (must be > 0)
    size
    Optional
    integer || 10
    Number of items per page (must be > 0 and < 101)
    name
    Optional
    string || null
    Filter devices by name
    edge_id
    Optional
    string || null
    Filter devices by edge server ID

    Response

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    {
      "page": 1,
      "size": 10,
      "total_cnt": 100,
      "max_page": 10,
      "results": [
        {
          "id": "string",
          "name": "string",
          "host": "string",
          "edge_id": "string",
          "status": "enum(active | inactive)",
          "thresholds": {
            "breathing_heavily": {
              "sound_level_ge": 65,
              "confidence": 0.8
            },
            "[event_category]": {
              "sound_level_ge": 65,
              "confidence": 0.8
            }
          },
          "location": {
            "latitude": -90,
            "longitude": -180
          },
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ]
    }

    Request Examples

    Run In Postman

    Basic Request

    1
    2
    3
    4
    5
    6
    7
    8
    const response = await fetch('http://{{EDGE_IP}}:8100/api/v1/mics?page=1&size=10', {
      method: 'GET',
      headers: {
        "Authorization": "Bearer YOUR_ACCESS_TOKEN"
      }
    });
    
    const data = await response.json();

    Request with Filters

    1
    2
    3
    4
    5
    6
    7
    8
    const response = await fetch('http://{{EDGE_IP}}:8100/api/v1/mics?name=mic1&edge_id=edge123&page=1&size=10', {
      method: 'GET',
      headers: {
        "Authorization": "Bearer YOUR_ACCESS_TOKEN"
      }
    });
    
    const data = await response.json();
    Mic Device
    Get A Mic Device
    DescriptionAuthenticationResponseRequest ExamplesBasic RequestRequest with Filters